(function(global){
    if(global.__WPAV2){
        return;
    }

   
    var flag1 = 21848,
        flag2 = 1,
        flag3 = 1,
        flag_loaded = 28,
        reportCgi = 'http://report.huatuo.qq.com/report.cgi';

    if (location.protocol.indexOf('https') !== -1) {
        reportCgi = 'https://report.huatuo.qq.com/report.cgi';
    }

    var platform = 'pc',
        ua = navigator.userAgent;

    if (/(?:iphone|ipad|ipod)/i.test(ua)) {
        platform = 'ios';
    } else if(/android/i.test(ua)) {
        platform = 'android';
    }

    var 
        env = global.__WPAENV || 'production', 
        version = '4.1.0',  
  
        protocol = 'https:',
        hostMap = {
            development: 'dev',
            test: 'oa'
        },

      

        staticBase = global.__WPASTATICBASE,

        host = protocol + '//' + (hostMap[env] || '') + 'wp.qiye.qq.com',
        base = global.__WPABASE || host,

        apiBase = global.__WPABAPIASE || host + '/api',
        stack = [],
        apiStack = [],
        tmpEventBucket = {},
        charset = 'utf-8'; 

    if (!staticBase) {
        if (env === 'development') {
            staticBase = 'https://dev.gtimg.com';
            staticBase += '/qidian/src/wpav2/dist/' + version;
        } else if (env === 'test') {
            staticBase = 'https://oa.gtimg.com';
            staticBase += '/qidian/src/wpav2/dist/' + version;
        } else {
            staticBase = 'https://bqq.gtimg.com';
            staticBase += '/qidian/src/wpav2/dist/' + version;
        }

    }
    

    var doc = document,
        head = doc.head || doc.getElementsByTagName("head")[0] || doc.documentElement,
        baseElement = head.getElementsByTagName("base")[0],
        currentlyAddingScript;

    function fetch(uri) {
        var node = doc.createElement("script"),
            sTime;

        node.charset = charset;
        node.async = true;
        node.src = uri;
        node.id = 'LBFnode';

        currentlyAddingScript = node;

        node.onload = node.onreadystatechange = function() {
            if(!this.readyState || this.readyState=='loaded' || this.readyState=='complete') {
                var eTime = +new Date(),
                    timeCost = eTime - sTime;
            }
        };

        sTime = +new Date();
        baseElement ?
            head.insertBefore(node, baseElement) :
            head.appendChild(node);

        currentlyAddingScript = null;
    }

    function getScriptPosition() {
        var scripts = document.getElementsByTagName('script');
        return scripts.length > 0 ? scripts[scripts.length - 1] : null;
    }


    var exports = global.__WPAV2 = {
        version: version,

        base: base,

        staticBase: staticBase,

        apiBase: apiBase,

        env: env,

        protocol: protocol,

        create: function(data){
            data.scriptPosition = getScriptPosition();
            stack.push(data);
        },

        on: function(type, cb){
            tmpEventBucket[type] ?
                tmpEventBucket[type].push(cb) :
                tmpEventBucket[type] = [cb];
        },

        api: function(){
            apiStack.push(arguments);
        },

        ready: function(onReady){
            exports.on('load', onReady);
        },

        getScriptPosition: getScriptPosition,

        _stack: stack,

        _apiStack: apiStack,

        _evtBkt: tmpEventBucket
    };

    fetch(staticBase + '/pk1.js');
})(this);
// 2024-01-05 14:36:39
__WPAV2.create({"fkfext":"3009124440","type":"12","theme":"1","key":"712ecbeaaa8ad2035b6321b9f48fb00c","FCustom":{"wpaLocation":{"v":{"type":"3","px":"360"},"h":{"type":"1","px":"0"}},"source":0,"isCustomEntry":0,"isLBS":0,"isSsc":0,"msgDisplayed":{"isDisplayed":0,"categoryId":"297562090103701504"}},"fkfuin":"3009124440","location":{"v":{"type":"3","px":"360"},"h":{"type":"1","px":"0"}},"url":"https://wpa1.qq.com/lvtZWdMO?_type=wpa\u0026qidian=true","imUrl":"https://wpa1.qq.com/vxwOdRry?_type=wpa\u0026qidian=true","cate":"7","signature":"在线咨询：服务时间 8:30-17:30","avatar":"//bqq.gtimg.com/qidian/src/sites/srv/wpa/conf/wpa/avatar/1-1.png","qrCodeImg":"//p.qpic.cn/qidian_pic/0/20230106e5aa319c3e4cb9a666dcc0a1f697f244/0","id":3659,"name":"一体化","qrcode":"//p.qpic.cn/qidian_pic/0/20230106e5aa319c3e4cb9a666dcc0a1f697f244/0","roleIM":{"forid":null,"data":"107708","subNav":null,"navRouter":null,"msgDisplayed":"0","uin":"107708","isPub":null,"isOpenCompanyWords":null,"isDisabled":"0","robotNav":null,"type":7,"value":"1","name":"技术答疑","isKfuin":null},"deployList":[{"deployTypeId":"1","deployRemarks":"","deployWebsite":""}]})